Subject: Re: [MOBILE-IP] RFC2002bis

From: "Georgios Karagiannis (EMN)" <[email-masked]>
Date: Tue, 11 Apr 2000 10:57:03 +0200

Hi all

I very much agree with Karim.
Moreover, we think that by being flexible in this matter and by letting e.g., MN to
communicate  with the new FA via a previous FA, (and/or MN to communicate
 with the previous FA via the new FA) the implementation of the
Mobile IP handoff could be accomplished in a seamless and in a fast way
(that is different than existing ways).
Please note that we are busy writing
down a new method of achieving a seamless and a fast handoff in Mobile IP.

Best regards,
Georgios

-----Original Message-----
From: Karim El-Malki (ERA) [mailto:[email-masked]]
Sent: dinsdag 11 april 2000 9:48
To: [email-masked]
Subject: Re: [MOBILE-IP] RFC2002bis

Hi Alper

>  Hi Charlie,
>
>  Sorry for this late reply, somehow I missed your e-mail.
>
>  > Regarding the following text:
>  >
>  > > The host specific route to MN shouldn't be available to
>  any packets
>  > > other than the ones arriving to FA on the tunnel
>  configured for this MN.
>  > > This requires forwarding based on not only destination
>  address but also
>  > > incoming interface.

I know we have been through this already but I'd like to
reiterate my objection to this. I don't see why two nodes
(MN and fixed CN, or two MNs) attached to the same FA should
not be able to communicate through this common FA rather than
having to go through the HA. It would surely improve the
performance of the communication by eliminating triangle routing
and it is an implementation issue. We also have this as an option
in the HMIPv4/v6 draft (draft-elmalki-soliman-hmipv4v6-00) where
such an optimisation of routing may occur through the shortest FA
path, thus eliminating triangle routing within the hierarchical
domain.

>Without this, there's the problem of
>  getting HA out
>  > > of the loop, and in the case of MN moving another site,
>  host specific
>  > > route will not go away until previous FA expires the
>  registration,
>  > > and until then any communication going through this FA will be
>  > > interrupted.
>  >

This is solved if the MN, upon moving FA, sends a previous
FA notification extension in its RegReq such that the previous FA
receives a binding update with zero lifetime from the new FA
(route optimisation). This is specified for hierarchical MIPv4 in
Regional Tunnel Mgt. and in the above HMIPv4/v6 draft for
Fast Handoffs.

Cheers,
Karim